%global url_ver %%(echo %{version} | cut -d. -f1)

Summary:        Adwaita icon theme
Name:           adwaita-icon-theme
Version:        44.0
Release:        3%{?dist}

License:        LGPLv3+ or CC-BY-SA
URL:            https://gitlab.gnome.org/GNOME/adwaita-icon-theme
Source0:        https://download.gnome.org/sources/adwaita-icon-theme/%{url_ver}/%{name}-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  librsvg2 gtk3-devel

Requires:       adwaita-cursor-theme = %{version}-%{release}

%description
The package provides Adwaita icon theme used by the GNOME desktop.

%package -n     adwaita-cursor-theme
Summary:        Adwaita cursor theme

%description -n adwaita-cursor-theme
This package contains a modern set of cursors originally designed
for the GNOME desktop.

%package        devel
Summary:        Development package
Requires:       %{name} = %{version}-%{release}

%description    devel
The package contains the pkgconfig file for developing applications
that use adwaita-icon-theme.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure
%make_build

%install
%make_install

touch %{buildroot}%{_datadir}/icons/Adwaita/icon-theme.cache

%transfiletriggerin -- %{_datadir}/icons/Adwaita
gtk-update-icon-cache --force %{_datadir}/icons/Adwaita &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Adwaita
gtk-update-icon-cache --force %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%license COPYING*
%dir %{_datadir}/icons/Adwaita/
%{_datadir}/icons/Adwaita/16x16/
%{_datadir}/icons/Adwaita/32x32/
%{_datadir}/icons/Adwaita/scalable/
%{_datadir}/icons/Adwaita/symbolic/
%{_datadir}/icons/Adwaita/symbolic-up-to-32/
%{_datadir}/icons/Adwaita/index.theme
%ghost %{_datadir}/icons/Adwaita/icon-theme.cache

%files -n adwaita-cursor-theme
%license COPYING*
%dir %{_datadir}/icons/Adwaita/
%{_datadir}/icons/Adwaita/cursors/

%files devel
%{_datadir}/pkgconfig/adwaita-icon-theme.pc

%changelog
* Mon Jul 22 2024 Shuo Wang <abushwang@tencent.com> - 44.0-3
- update source0 url

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 44.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 wynnfeng <wynnfeng@tencent.com> - 44.0-1
- upgrade to 44.0

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 42.0-4
- Rebuilt for librsvg2 2.56.90

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 31 2022 Shuo Wang <abushwang@tencent.com> - 42.0-1
- initial build
